package org.dromara.inspection.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.inspection.domain.bo.ArRegionBo;
import org.dromara.inspection.domain.vo.ArRegionVo;

import java.util.Collection;
import java.util.List;

/**
 * 巡检区域Service接口
 *
 * @author Lion Li
 * @date 2025-01-13
 */
public interface IArRegionService {

    /**
     * 查询单个
     *
     * @return
     */
    ArRegionVo queryById(Long id);

    /**
     * 查询列表
     */
    TableDataInfo<ArRegionVo> queryPageList(ArRegionBo bo, PageQuery pageQuery);

    /**
     * 查询列表
     */
    List<ArRegionVo> queryList(ArRegionBo bo);

    /**
     * 根据新增业务对象插入巡检区域
     *
     * @param bo 巡检区域新增业务对象
     * @return
     */
    Boolean insertByBo(ArRegionBo bo);

    /**
     * 根据编辑业务对象修改巡检区域
     *
     * @param bo 巡检区域编辑业务对象
     * @return
     */
    Boolean updateByBo(ArRegionBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
